%define	name	gnuplot
%define	version 4.0.0
%define release	%mkrel 10
%define	modeversion 0.6.0

Name:		%{name}
Summary:	A program for plotting mathematical expressions and data
Version:	%{version}
Release:	%{release}
Source0:	ftp://ftp.gnuplot.info/pub/gnuplot/%{name}-%{version}.tar.bz2
Source1:	ftp://ftp.gnuplot.info/pub/gnuplot/gnuplot-mode.%{modeversion}.tar.bz2
Source2:	ftp://ftp.gnuplot.info/pub/gnuplot/faq/gnuplot-faq.html.bz2
Source11:	%{name}.16.png
Source12:	%{name}.32.png
Source13:	%{name}.48.png
Patch0:		gnuplot-tetex30.patch.bz2
Patch1:		gnuplot-4.0.0-emacs-mode--disable-f9.patch.bz2
License:	Freeware-like
Group:		Sciences/Other
URL:		http://www.gnuplot.info/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires(post):		/sbin/install-info
Requires(preun):		/sbin/install-info
BuildRequires:	XFree86-devel
BuildRequires:	emacs-bin
BuildRequires:	ncurses-devel
BuildRequires:	png-devel
BuildRequires:	readline-devel
BuildRequires:	tetex-latex
BuildRequires:  texinfo

%description
Gnuplot is a command-line driven, interactive function plotting program
especially suited for scientific data representation. Gnuplot can be used to
plot functions and data points in both two and three dimensions and in many
different formats.

Install gnuplot if you need a graphics package for scientific data
representation.

%prep
%setup -q -a 1
%patch0 -p1 -b .tetex30
%patch1 -p1
perl -pi -e 's|(^\s*)mkinstalldirs\s|$1./mkinstalldirs |' gnuplot-mode.%{modeversion}/Makefile.in
# Non-free stuff. Ouch. -- Geoff
rm -f demo/prob.dem demo/prob2.dem

%build
export CFLAGS="$RPM_OPT_FLAGS -fno-fast-math"
%configure --with-readline=gnu --with-png --without-linux-vga
%make

pushd gnuplot-mode.%{modeversion} && {
    ./configure --prefix=/usr
    %make
} && popd

cp %{SOURCE2} .
bzip2 -d gnuplot-faq.html.bz2

cd docs
make ps
make pdf

%install
rm -rf $RPM_BUILD_ROOT

%{makeinstall_std}

pushd gnuplot-mode.%{modeversion} && {
    make install prefix=$RPM_BUILD_ROOT/usr
} && popd

cd gnuplot-mode.%{modeversion}
pdflatex gpelcard

install -d $RPM_BUILD_ROOT%{_sysconfdir}/emacs/site-start.d
install -m 644 dotemacs $RPM_BUILD_ROOT%{_sysconfdir}/emacs/site-start.d/%{name}.el

# menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}

cat > $RPM_BUILD_ROOT%{_menudir}/%{name} << EOF
?package(%{name}):\
needs="text"\
section="More Applications/Sciences/Mathematics"\
title="Gnuplot"\
longtitle="The famous function plotting program"\
command="%_bindir/gnuplot"\
icon="gnuplot.png" \
xdg="true"
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Gnuplot
Comment=The famous function plotting program
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=true
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Sciences-Mathematics;Sciences
EOF

# icon
install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png

%post
%{update_menus}
%_install_info %{name}.info

%postun
%{clean_menus}
%_remove_install_info %{name}.info

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Copyright docs/psdoc docs/gnuplot.pdf gnuplot-faq.html
%doc demo gnuplot-mode.%{modeversion}/gpelcard.pdf README README.1ST README.exp
%doc TODO FAQ NEWS PORTING
%config(noreplace) %{_sysconfdir}/emacs/site-start.d/*.el
%{_bindir}/gnuplot
%{_mandir}/*/*
%{_datadir}/emacs/site-lisp/*
%{_libdir}/gnuplot
%{_datadir}/gnuplot
%{_menudir}/%{name}
%{_datadir}/applications/mandriva-%{name}.desktop
%{_infodir}/*
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%changelog
* Mon Sep 18 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 4.0.0-10mdv2007.0
- Rebuild

* Sun Aug 06 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/06/06 20:58:01 (53660)
- really fix xdg menu

* Sun Aug 06 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/06/06 20:45:32 (53659)
- xdg menu
- update sources url
- fix prereq

* Sun Aug 06 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/06/06 20:33:54 (53653)
Import gnuplot

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 4.0.0-8mdk
- Rebuild

* Thu May 19 2005 Pixel <pixel@mandriva.com> 4.0.0-7mdk
- disable f9 in emacs mode (it is too invasive)

* Tue May 17 2005 Giuseppe Ghib <ghibo@mandriva.com> 4.0.0-6mdk
- Fixed building docs with teTeX 3.0 (Pixel).

* Thu Jan 20 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 4.0.0-5mdk
- rebuild for new slang
- do not bzip2 icons in .src.rpm
- fix summary-ended-with-dot
- cosmetics

* Mon Aug 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 4.0.0-4mdk
- Rebuild with new menu

* Mon Jul 12 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 4.0.0-3mdk
- change mail adress in changelog

* Sat Jun 26 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 4.0.0-2mdk
- Guillaume Cottenceau is no longer the packager (Happy man :)
- BuildRequires texinfo (Thx Emmanuel Favre-Nicolin <manu_favre@yahoo.com>)

* Tue Jun 08 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 4.0.0-1mdk
- 4.0.0
- menu in spec, fix menu
 

* Sun Dec 21 2003 Stefan van der Eijk <stefan@eijk.nu> 3.7.3-3mdk
- BuildRequires

* Thu Jul 24 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 3.7.3-2mdk
- rebuild
- use %%make macro

* Mon Jan 20 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 3.7.3-1mdk
- new version
- gnuplot-mode 0.6.0
- update faq
- add info page

* Wed Jul 24 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.7.2-2mdk
- rebuild for new readline
- remove useless prefix

* Fri Mar 22 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 3.7.2-1mdk
- new version

* Fri Feb 01 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 3.7.1-23mdk
- fix url (gnuplot.org is a search engine!)
- png icons

* Sat Nov 03 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.7.1-22mdk
- Rebuild.

* Tue Oct 23 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 3.7.1-21mdk
- better BuildRequires
  (added: xemacs readline-devel libgd-devel libncurses-devel tetex-dvips)

* Fri Oct 19 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 3.7.1-20mdk
- remove Boer's patch because it seems to break gnuplot in some situations, see:
  http://sourceforge.net/tracker/index.php?func=detail&aid=472748&group_id=2055&atid=102055
- there is no more reason to not use readline=gnu
- use RH patch to replace Gif support by Jpeg support

* Thu Oct 18 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 3.7.1-19mdk
- fix license

* Wed Oct 17 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 3.7.1-18mdk
- fix obsolete-tag Copyright
- fix large-icon-not-in-package
- provide site-start file for gnuplot-mode
- really don't use "-ffast-math", don't know who is the sucking
  maintainer who broke it using sed (and sed sucks)

* Thu Oct 11 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 3.7.1-17mdk
- rebuild for the libpng change

* Mon Jul 02 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 3.7.1-16mdk
- rebuild

* Sun May 06 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.7.1-15mdk
- s/gdImageGif/gdImagePng/g; (Not --without-gd because if we use
  set terminal gif then it gives us a segfault.)
  

* Mon Jan 22 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 3.7.1-14mdk
- fix URL following suggestion by <vgeloven@dds.nl>

* Sun Aug 27 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.7.1-13mdk
- now should also compile on non x86 arch, /me sucks

* Fri Aug 25 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.7.1-12mdk
- removed -ffast-math option to improve reliability

* Wed Aug 23 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.7.1-11mdk
- automatically added packager tag

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.7.1-10mdk
- automatically added BuildRequires

* Thu Jul 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.7.1-9mdk
- BM
- macroweruivieruweiovjzations

* Fri Apr 28 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.7.1-8mdk
- fixed menu entry adding 32x32 icon

* Fri Apr 28 2000 Giuseppe Ghibò <ghibo@mandrakesoft.com> 3.7.1-7mdk
- added XFree86-devel in BuildPreReq for X11.
- removed bzip2 man pages (done by spec_helper).
- removed gnu-readline and put back minimal-readline otherwise the
  Boer's patch doesn't work.

* Mon Apr 17 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.7.1-6mdk
- fix directory owns.
- now uses gnu readline library instead of minimal built-in readline.

* Mon Apr 10 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.7.1-5mdk
- added icon.

* Thu Mar 23 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.7.1-4mdk
- new groups.
- menu entry.

* Thu Nov 11 1999 Giuseppe Ghibò <ghibo@linux-mandrake.com>
- added Pieter de Boer's patch <ptdeboer@cs.utwent.nl> for splot X11
  interactive rotations.
- added gnuplot-mode documentation.

* Tue Nov 09 1999 Giuseppe Ghibò <ghibo@linux-mandrake.com>
- updated to 3.7.1.
- added gnuplot-faq.html.
- added PDF documentation.

* Mon Nov 08 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 3.7.0.2.
- fix license.
- add emacs-mode.
- add some documentation.

* Fri Oct 01 1999 Giuseppe Ghibò <ghibo@linux-mandrake.com>
- Changed the 3.7.0->3.7.0.1 patch to a more recent version because
the previous version has broken the postscript terminal.

* Tue Jul 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Rebuild without svgalib.

* Wed Jun 30 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Update to 3.7.0.1.

* Tue May 11 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adaptations.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Tue Feb 02 1999 Jeff Johnson <jbj@redhat.com>
- update to 3.7.

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- built package for 6.0

* Fri Sep 11 1998 Jeff Johnson <jbj@redhat.com>
- update to 2.6beta347

* Sat Aug 15 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Oct 20 1997 Donnie Barnes <djb@redhat.com>
- spec file cleanups

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc

